Unable to deploy app on TestFlight

I created an app with xamarin but when i try to deploy it to testflight it shows error
The value of Info.plist MinimumOSVersion ‘8.0’ is lower than the required value ‘9.0' for the use of on-demand resources.
I am not using on demand resources, but can't seem to find option to disable them. Anyone know how to disable "on demand resources" , because i think they are enabled by default.

Tagged:

Answers

  • MatteoPiccioniMatteoPiccioni USMember ✭✭

    I have the same problem.
    Do you solve ?

  • JohnHJohnH GBMember ✭✭✭✭✭
    edited July 2017

    @AkashDeepKaushik & @matteapiccioni my quick google search for this appears to show the fix being to add the key "Minimum system version" to your info.plist with a value of "8.0".
    Just checked one of my apps, I have the following in the <dict> section of my info.plist:

        <key>MinimumOSVersion</key>
        <string>8.0</string>
    

    I also upload my app to TestFlight. Hope that helps!

    EDIT: Fixed formatting of pasted XML.

  • AkashDeepKaushikAkashDeepKaushik USMember ✭✭
    That was my bad
    I accidentally putted resources tag for one image and resources tag are a feature of ios9 that's why it was giving error
    @matteiapiccioni if you are getting this error I suggest you check the archive content and see if there is a folder of on-demand resource if there is check which image it has inside it and remove the tag for that resource also remove it from iOS project file there is an entry for that too
    Hope that helps
Sign In or Register to comment.